commit:     a0099fa1e237123ae37aacd560999c5c5b36446c
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  3 16:05:20 2022 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Wed Aug  3 16:05:40 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0099fa1

app-containers/buildah: add 1.26.3

Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-containers/buildah/Manifest              |  1 +
 app-containers/buildah/buildah-1.26.3.ebuild | 51 ++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/app-containers/buildah/Manifest b/app-containers/buildah/Manifest
index bf2bee5adcc3..c39be45acb21 100644
--- a/app-containers/buildah/Manifest
+++ b/app-containers/buildah/Manifest
@@ -1,3 +1,4 @@
 DIST buildah-1.25.1.tar.gz 14212065 BLAKE2B 
ec4f668654011f1b93745e1a1d575fdda0cd5f4d6f9f7f7b3106c24aa7d405951ecd645a54c2dd5a3ad2695069e66ad847bdb15f0e73a9c7efba2a7e283d4f58
 SHA512 
628f8095eb4488ae2be06a2a92de85dde4f3841e8ed9882132c119f27b0c93f26ba10f5dd259d63654b90539d762f6c1973d460f073c0b2450ac5d9582a6a68d
 DIST buildah-1.26.1.tar.gz 14159554 BLAKE2B 
bf17a51653bb07591c19fca449d6f4eeb87693a4d20ae5f12f669b10c328fadd763e0c0fa76605154a5a6439f4e250bc8f00c2d01c9fbf1e266aa67189aafdbd
 SHA512 
07225ebb23e5a815be1ef8acb5d15ef9fb8c6e9324fa9b65ec024f7b6bbe892721f9feaac2911d1b466c2cf336bd0c68e3d1b4df953f13a3390da84a93f76723
 DIST buildah-1.26.2.tar.gz 14155439 BLAKE2B 
3f858f86221b64623d94783c0ef3dd15fa14cef730b30cc5f0554e37f9e3e609a6381842b90b7614b6708434ee5c109497ee89f2da89bb9cc5360e2f8b345adb
 SHA512 
f50a7ee787d10a8f8d1a7e0ff9f86990de975df427af894be5bcc84bceafd2eb87dfe75c1b967ae57056299893c942df257aef1e9aaeb712022a8abceeaebba9
+DIST buildah-1.26.3.tar.gz 14468210 BLAKE2B 
1ec44501e63bf3594c72575d7460c6478a9d996977659b9fb466fbc658e4923892a77bea9f48a503f02a6101615be9a663f9701ee343436d140d580d8ab01875
 SHA512 
5d8ea60246085ba27795b52152765fc3c85c92c5caf4515c1b2973aec17844eb9da2ffff82f6c503e36f675089c998b9ee51c4b4b899104ccd9fa771308c8048

diff --git a/app-containers/buildah/buildah-1.26.3.ebuild 
b/app-containers/buildah/buildah-1.26.3.ebuild
new file mode 100644
index 000000000000..25c8fa9e6852
--- /dev/null
+++ b/app-containers/buildah/buildah-1.26.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit bash-completion-r1 go-module
+GIT_COMMIT=ad138d8e
+
+DESCRIPTION="A tool that facilitates building OCI images"
+HOMEPAGE="https://github.com/containers/buildah";
+SRC_URI="https://github.com/containers/buildah/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="selinux"
+
+RDEPEND="app-crypt/gpgme:=
+       app-containers/skopeo
+       dev-libs/libgpg-error:=
+       dev-libs/libassuan:=
+       sys-apps/shadow:=
+       sys-fs/lvm2:=
+       sys-libs/libseccomp:=
+       selinux? ( sys-libs/libselinux:= )"
+DEPEND="${RDEPEND}"
+
+RESTRICT+=" test"
+
+src_prepare() {
+       default
+       [[ -f selinux_tag.sh ]] || die
+       use selinux || { echo -e "#!/bin/sh\ntrue" > \
+               selinux_tag.sh || die; }
+       sed -i -e 's/make -C/$(MAKE) -C/' Makefile || die 'sed failed'
+}
+
+src_compile() {
+       emake GIT_COMMIT=${GIT_COMMIT} all
+}
+
+src_install() {
+       dodoc CHANGELOG.md CONTRIBUTING.md README.md install.md 
troubleshooting.md
+       doman docs/*.1
+       dodoc -r docs/tutorials
+       dobin bin/{${PN},imgtype}
+       dobashcomp contrib/completions/bash/buildah
+}
+
+src_test() {
+       emake test-unit
+}

Reply via email to